Class Index | File Index

## Classes

- _global_
- Store
- Store.Store

# Namespace Store

The Store module defines the public interface to the RDF store.
Defined in: store.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Store

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | Store.VERSION Version of the store

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Store.connect(scriptPath, args, callback) Create a new RDFStore instance that will be executed in a web worker in the browser or a new process in Node.js.
<static> | Store.create(args, callback) Creates a new instance of the store.

Namespace Detail
Store
Field Detail
<static> Store.VERSION
Version of the store
Method Detail
<static> Store.connect(scriptPath, args, callback)
Create a new RDFStore instance that will be executed in a web worker in the browser or a new process in Node.js.
The first argument to this function is the URL/FS location of the store script.
This parameter is mandatory in the browser. It is safe to ignore this parameter in Node.js.
If support for web workers is not present, a regular store object will be initialized and returned.

Parameters:
{String} scriptPath Optional
  URL of the RDFStore script
{Object[]} args Optional
  Arguments to be passed to the store that will be created
{Function} callback
  Callback function that will be invoked with an error flag and the connection/store object.

<static> Store.create(args, callback)
Creates a new instance of the store. The function accepts two optional arguments.
If only one argument is passed it must be a callback function that will be invoked when the store had been created.
If two arguments are passed the first one must be a map of configuration parameters for the store, and the second one the callback function.
Take a look at the Store constructor function for a detailed list of possible configuration parameters.

Parameters:
{Object[]} args Optional
  Arguments to be passed to the store that will be created
{Function} callback Optional
  Callback function that will be invoked with an error flag and the connection/store object.

Documentation generated by JsDoc Toolkit 2.4.0 on Sun Dec 18 2011 20:05:36 GMT+0100 (CET)